Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4139 - "invalid ICMP errors to a broadcast" console messages
Summary: "invalid ICMP errors to a broadcast" console messages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-21 16:45 UTC by dsummers
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description dsummers 1999-07-21 16:45:03 UTC
This seems to be more a problem with 2.2 kernels in general,
but I thought I'd bring it to your attention. In certain
network environments, the 2.2 kernel reports quite few
invalid error messages from routing devices. Since ICMP is
built into the kernel, the messages pop to the console,
which is a mild to ehavy annoyance, depending on what you
are trying to do on the console.

echo "3 5 1 7" into /proc/sys/kernel/printk removes the
console logging problem, but IMHO this is something that
should be looked at as a deeper minor issue to contend with.

------- Additional Comments From   07/22/99 11:36 -------
A fix found is to set a switch in /proc/sys/net/ipv4 to 1:
    icmp_ignore_bogus_error_responses
The command to do this would be:
    echo "1" > icmp_ignore_bogus_error_responses


Note You need to log in before you can comment on or make changes to this bug.